A mod I made to hide the wooden panels (or change the color of them) because I am not fond of them. Optionally move your
windows around.

Yes, it works with OdinQOL, ExtendedInventory, Randy Knapps EAQs, and BetterUI Reforged.

`Client only mod. Changes to the transparency or color require a logout or reboot.`

> ## Configuration Options

* Alpha [Not Synced with Server]
    * Alpha for the backgrounds. Lower = more transparent. Optionally set a color here. The closer you get to white, the
      closer you get to vanilla UI or your custom background being visible.
* Use Custom Backgrounds [Not Synced with Server]
    * Turn on using custom backgrounds from the plugins folder. Must follow the naming convention below. Only one
      instance of the files can be in the plugins folder at one time. The files can be anywhere in the plugins folder
      and the mod will find them. If you have them in the plugins folder, but your background is still transparent,
      remember to change your alpha value to be fully visible.
        * MUI_SkillsDialogPanel512x512.png
        * MUI_SplitDialogPanel256x256.png
        * MUI_VariantDialogPanel256x256.png
        * MUI_ContainerPanel295x180.png
        * MUI_CraftingPanel578x671.png
        * MUI_InfoPanel280x90.png
        * MUI_PlayerInvPanel295x154.png
        * MUI_ServerSelectPanel578x671.png
        * MUI_CompendiumPanel440x330.png
        * MUI_TrophiesPanel562x329.png
        * MUI_BuildMenuPanel512x512.png
        * MUI_RemoveCharacterDialog270x100.png
        * MUI_BottomWindowPanel512x60.png
    * ### Things to note
        * Remove Character/Name Panel (MUI_RemoveCharacterDialog270x100.png). These are the same size and will be affected by the same image.
        * JoinIPPanel/CustomizationPanel use the same image as the Split Dialog Panel, (MUI_SplitDialogPanel256x256.png). These are the same size so it will be affected by the same image.
        * New World/Remove World Panel use the same image as the Skills Dialog Panel (MUI_SkillsDialogPanel512x512.png). These are the same size so it will be affected by the same image.
        * Haldor's UI is affected by the (MUI_VariantDialogPanel256x256.png) and (MUI_PlayerInvPanel295x154.png) images, as they are the same size for what is needed.


* Always Open [Not Synced with Server]
  * Turn on default game functionality to always have your inventory and crafting windows open when you press TAB.
* Inventory Scale   [Not Synced with Server]
    * Scale of Inventory
* Chest Inventory Scale [Not Synced with Server]
    * Scale of Chest Inventory
* Crafting Panel Scale [Not Synced with Server]
    * Scale of Crafting Panel
* Info Panel Scale [Not Synced with Server]
    * Scale of Information Panel
* Hotbar Scale [Not Synced with Server]
    * Scale of Toolbar/Hotbar
* Hotbar PerRow [Not Synced with Server]
    * Number of items per row in the hotbar
* QuickSlots Scale [Not Synced with Server]
    * Scale of QuickSlots (Randy's!)
* Build Menu Scale [Not Synced with Server]
  * Building menu scale
* Keyboard Shortcut Modifier [Not Synced with Server]
    * The shortcut needed to be held down while clicking on the panels to resize or move them.
* Inventory Position [Not Synced with Server]
    * Current position of the Inventory
* Chest Inventory Position [Not Synced with Server]
    * Current position of the Chest Inventory
* Crafting Panel Position [Not Synced with Server]
    * Current position of the Crafting Panel
* Info Panel Position [Not Synced with Server]
    * Current position of the Info Panel
* QuickSlots Position [Not Synced with Server]
    * Current position of the QuickSlots
* Build Menu Position [Not Synced with Server]
  * Current position of the Build Menu
* JC UI Toggle [Not Synced with Server]
    * If set to true, the JC UI will be used when JC is installed. This config option is dependant on the mod being
      present. Reboot your game for the toggle to take effect.

> ## Installation Instructions
***You must have BepInEx installed correctly! I can not stress this enough.***

#### Windows (Steam)

1. Locate your game folder manually or start Steam client and :
   a. Right click the Valheim game in your steam library
   b. "Go to Manage" -> "Browse local files"
   c. Steam should open your game folder
2. Extract the contents of the archive into the game folder.
3. Locate azumatt.MinimalUI.cfg under BepInEx\config and configure the mod to your needs

If you are using a mod manager, just download the mod. Make sure it ends up in your BepInEx/plugins folder somewhere.

`Feel free to reach out to me on discord if you need manual download assistance.`

# Author Information

### Azumatt

`DISCORD:` Azumatt#2625

`STEAM:` https://steamcommunity.com/id/azumatt/

For Questions or Comments, find me in the Odin Plus Team Discord or in mine:

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/Pb6bVMnFb2)
<a href="https://discord.gg/pdHgy6Bsng"><img src="https://i.imgur.com/Xlcbmm9.png" href="https://discord.gg/pdHgy6Bsng" width="175" height="175"></a>

***
> # Update Information (Latest listed first)
> ### v 2.1.2 / v2.1.3
> - Shouldn't use my templates for everything :P
> ### v 2.1.1
> - Fixed a bug caused by my unfinished testing code. Map is now properly moveable again.
> ### v2.1.0
> - Hot-reload of the backgrounds when images are changed, custom backgrounds option is toggled, or Alpha configuration is changed.
> - README.md updated to reflect new changes and new image names. The new information can be found below or in the "Things to note" section.
> - Add list of acceptable shortcuts to the config file for the hotkeys.
> - Fixed bug with searching the plugins folder for custom backgrounds. It now searches for the files in the plugins folder correctly.
> - These now work with the custom backgrounds
>   - Variant Dialog Panel (MUI_VariantDialogPanel256x256.png)
>   - Remove Character/Name Panel (MUI_RemoveCharacterDialog270x100.png). These are the same size and will be affected by the same image.
>   - Bottom Window Panel (MUI_BottomWindowPanel512x60.png). Used to use the same image as the Player Inventory Panel, it is now changed to be separate and the correct size.
>   - JoinIPPanel/CustomizationPanel use the same image as the Split Dialog Panel, (MUI_SplitDialogPanel256x256.png).
>   - New World/Remove World Panel use the same image as the Skills Dialog Panel (MUI_SkillsDialogPanel512x512.png).
> - Haldor's UI now works with the custom backgrounds and is affected by MinimalUI's transparency ability.
>   - Haldor's UI is affected by the (MUI_VariantDialogPanel256x256.png) and (MUI_PlayerInvPanel295x154.png) images, as they are the same size for what is needed.
> - Update to work with 211.7 version of Valheim. Also provide compatibility with the new windows they added.
> - Added up-to-date auga background zip.
> - Changes to health bar and stamina bar. (New bar options found in configs, disabled by default)
> - Changes to item quality and colors.
> - Health and stamina bars now flash when low. Configurable in the config file, along with the color they display.
> - Bring in some of my testing changes, expect a few bugs, releasing this a little early just so it works with the latest game version.
> ### v2.0.1
> - Add ability to move Building Menu around
> - Build menu now effected by alpha value and custom background (affected by MUI_BuildMenuPanel512x512.png)
> - Fix issue with JC UI
> - Toggle added to Always Open the inventory and crafting panels, like vanilla does. (default to on!)
>   - Originally, I wanted this mod to be more like other games where it is "tabbed" and the UI is 
>     minimal because not everything is always active on your screen. Some people didn't like this, toggle was added.
> - Add ability to scale and move the selected building piece's resource window.
> ### v2.0.0
> - Added more configuration options
>   - Custom Backgrounds (Example DarkUI given in zip in 2.0.0 download)
>     - Turn on using custom backgrounds from the plugins folder. Must follow the naming convention below. Only one
          instance of the files can be in the plugins folder at one time. The files can be anywhere in the plugins folder
          and the mod will find them. If you have them in the plugins folder, but your background is still transparent,
          remember to change your alpha value to be fully visible.
>       - MUI_CompendiumPanel440x330.png
>       - MUI_ContainerPanel295x180.png
>       - MUI_CraftingPanel578x671.png
>       - MUI_InfoPanel280x90.png
>       - MUI_PlayerInvPanel295x154.png
>       - MUI_ServerSelectPanel578x671.png
>       - MUI_SkillsDialogPanel512x512.png
>       - MUI_SplitDialogPanel256x256.png
>       - MUI_TrophiesPanel562x329.png
>       - MUI_VariantDialogPanel256x256.png
>   - UI panel positions and movement
>   - Changes to crafting and inventory panels. They are now disabled until opened by clicking the new buttons. They will auto open when using a chest or crafting station.
>     - These buttons are found in the information panel. By default, this should be at the top of your screen with the player name and skills/pvp buttons.
> - Internally switch UI based on Jewelcrafting being installed or not. Using a custom background overrides this. Optionally turn if off by default in configurations as well.
> ### v1.0.0
> - Initial Release